package examples;

/**
 * DocJava, Inc.
 * http://www.docjava.com
 * Programmer: dlyon
 * Date: Sep 14, 2004
 * Time: 3:17:57 PM
 */
public final class GuardedClass {
    public static final double PI = Math.PI;
    private GuardedClass(){}

    // guard against others from making an instance.
    public static GuardedClass getInstance(){
        return new GuardedClass();
    }

    GuardedClass gc = GuardedClass.getInstance();
}
